Package org.eclipse.zest.core.widgets.custom

# Class TriangleSubgraph.TriangleParameters

java.lang.Object
org.eclipse.zest.core.widgets.custom.TriangleSubgraph.TriangleParameters

All Implemented Interfaces:
  `Cloneable`

Enclosing class:
  `TriangleSubgraph`

public static class TriangleSubgraph.TriangleParameters extends Object implements Cloneable

## Field Summary

Fields
Modifier and Type
Field
Description
`Color`
`color`
`int`
`direction`
`double`
`referenceBase`
`double`
`referenceHeight`

## Constructor Summary

Constructors
Constructor
Description
`TriangleParameters()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`clone()`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### color

public Color color

### direction

public int direction

### referenceHeight

public double referenceHeight

### referenceBase

public double referenceBase

## Constructor Details

### TriangleParameters

public TriangleParameters()

## Method Details

### clone

public Object clone()

Overrides:
  `clone` in class `Object`